/*
 * Hoja de estilo (CSS3) para digituenses.com (ventana de ancho =< 800 px)
 */

@charset "utf-8";

/*
 * [Tipografía]
 */
/* [Crimson con remate - cuerpo de texto] */
@font-face {
    font-family: 'Crimson';
    src: url('tipografia/crimson/crimson-roman.woff2') format('woff2'),
         url('tipografia/crimson/crimson-roman.woff') format('woff'),
         url('tipografia/crimson/crimson-roman.otf') format('opentype'),
         url('tipografia/crimson/crimson-roman.svg#crimsonroman') format('svg');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Crimson';
    src: url('tipografia/crimson/crimson-italic.woff2') format('woff2'),
         url('tipografia/crimson/crimson-italic.woff') format('woff'),
         url('tipografia/crimson/crimson-italic.otf') format('opentype'),
         url('tipografia/crimson/crimson-italic.svg#crimsonitalic') format('svg');
    font-weight: normal;
    font-style: italic;
}

@font-face {
    font-family: 'Crimson';
    src: url('tipografia/crimson/crimson-bold.woff2') format('woff2'),
         url('tipografia/crimson/crimson-bold.woff') format('woff'),
         url('tipografia/crimson/crimson-bold.otf') format('opentype'),
         url('tipografia/crimson/crimson-bold.svg#crimsonbold') format('svg');
    font-weight: bold;
    font-style: normal;
}

/* [Belleza sin remate - menu, títulos, post-it y pie] */
@font-face {
    font-family: 'Belleza';
    src: url('tipografia/belleza/belleza-regular.woff2') format('woff2'),
         url('tipografia/belleza/belleza-regular.woff') format('woff'),
         url('tipografia/belleza/belleza-regular.otf') format('opentype'),
         url('tipografia/belleza/belleza-regular.svg#bellezaregular') format('svg');
    font-weight: normal;
    font-style: normal;
}
/*
 * [/Tipografía]
 */

html {
    position: absolute;
    width: 100vw;
    height: 100%;
    margin: 0 auto;
    font-size: 12pt;
}

/* Elimina el recuadro punteado que aparece al haber hecho click en un enlace */
a:focus {
    outline: 0;
}

body {
    max-width: 40rem;
    margin: 0 auto;
    cursor: default;
    background-color: #faebd7;
    background-position: center;
    background-attachment: fixed;
    background-size: cover;
    overflow-x: hidden;
    overflow-y: scroll;
}

body a {
    cursor: pointer;
}

/* [Para que el pie esté siempre al final de la página] */
body.sitio {
    position: relative;
    display: flex;
    min-height: 100vh;
    flex-direction: column;
}

main.contenido {
    position: relative;
    flex: 1;
}
/* [/Para el que el pie esté siempre al final de la página] */

#texto_cabecera {
    position: relative;
    margin-top: 0.5rem;
    padding: 0;
    font-family: Crimson, helvetica, arial;
    font-size: 1.0rem;
    font-style: italic;
    text-align: center;
    color: #060000;
}

img, video, object {
    max-width: 100%;
    height: auto;
}

.foto-portada {
    border: 7px solid #1c1c1c;
    width: 100%;
}


/* ******************************************* [Fotos horizontales (fh) y verticales (fv)]
 */
.fh-C01 {
    border: 3px solid #1c1c1c;
    width: 100%
}

.fh-M01 {
    border: 3px solid #1c1c1c;
    width: 90%;
}

/* ******************************************* */
.fv-C01
{
    border: 3px solid #1c1c1c;
    width: 50%;
}

.fv-M01
{
    border: 3px solid #1c1c1c;
    width: 51%;
}

/*
********************************************** [/Fotos horizontales (fh) y verticales (fv)] */

nav {
    position: relative;
    width: 100%;
    margin: 0 auto;
    padding: 0;
    height: auto;
    font-family: Belleza, helvetica, arial;
    font-size: 1.1rem;
}

nav ul {
    position: relative;
    width: 100%;
    display: block;
    margin: 0 auto;
    padding: 0;
    text-align: center;
}

nav li {
    display: inline-block;
    width: auto;
    margin: 0 0.54rem 0 0.54rem;
}

nav img {
    position: relative;
    padding-right: 1px;
}

nav a {
    color: #800000;
    text-decoration-color: #fff;
}

nav a:hover {
    text-decoration: none;
}

main {
    position: relative;
    width: 86%;
    min-width: 20rem;
    margin: 0 auto;
    padding: 1.0rem 0 0.5rem 0;
    font-family: Crimson, Georgia, "Times New Roman";
    font-size: 1rem;
    color: #060000;
    line-height: 1.6;
}

main a, body footer a {
    color: #003637;
    text-decoration: underline;
}

main p.verso {
    text-indent: 0;
    margin-left: 1.5rem;
}

main ul li dd {
    position: relative;
    margin-bottom: 0.75rem;
}

main ol.separacionv li {
    position: relative;
    margin-bottom: 0.75rem;
}

main ol.indice {
    width: -moz-fit-content;
    width: -webkit-fit-content;
    width: fit-content;
    height: auto;
    padding: 1rem 1rem 1rem 2.5rem;
    font-family: Crimson, Georgia, "Times New Roman";
    font-size: 0.9rem;
    border: 1px solid #736f6e;
}

main ol.indice:before {
    content: "Índice";
    font-family: Crimson, Georgia, "Times New Roman";
    font-size: 1.1rem;
    font-weight: bold;
    color: #000;
}

main ol.indice a {
    text-decoration-color: #fff;
}

main ol.indice a:hover {
    text-decoration: underline;
}

.subrayado_largo {
    color: #000;
    border-bottom: 1px solid #000;
    width: 100%;
}

.tachar {
    text-decoration: line-through;
}

/* [Cita textual] */
blockquote {
    font-size: 0.9375rem;
}

/* Definición de las comillas por orden: « » “ ” ‘ ’ */
/* Anidamiento:  « " ' ' " » */
q {
    quotes: '\00AB' '\00BB' '\201C' '\201D' '\2018' '\2019';
    /* Aunque está más extendido, sobre todo en América, el uso de las comillas inglesas: */
    /* quotes: '\201C' '\201D' '\2018' '\2019'; */
}

.titulo_bloque {
    text-indent: 0;
    margin: 1rem 0 0 0;
    color: #000;
    font-family: Crimson, Georgia, "Times New Roman";
    font-size: 1rem;
    font-weight: bold;
}

pre {
    display: block;
    margin: 0 0 -1rem 0;
}

code {
    display: block;
    padding: 9px 0 9px 3px;
    max-height: 28rem;
    border: 1px solid;
    border-color: #fff; /* El borde solo se verá cuando el usuario utilice alto contraste o personalice colores en el navegador */
    background: #000;
    color: #fff;
    font-family: monospace, Courier;
    font-size: 0.65rem;
    line-height: 1.3;
    overflow: auto;
}

code .bold {
    font-weight: bold;
}

code .builtin {
    color: #fb2874;
}

code .comment {
    color: #555556;
}

code .comment-delimiter {
    color: #555556;
}

code .constant {
    color: #fd971f;
}

code .doc {
    color: #767679;
}

code .function-name {
    color: #b6e63e;
}

code .keyword {
    color: #fb2874;
}

code .string {
    color: #e2c770;
}

code .type {
    color: #66d9ef;
}

code .underline {
    text-decoration: underline;
}

code .variable-name {
    color: #fd971f;
}

code .warning {
    color: #e2c770;
    font-weight: bold;
}

code .css-selector {
    color: #d1805e;
    font-weight: bold;
}

code .css-property {
    color: #5e7990;
    font-weight: bold;
}

#logo_cabecera {
    margin: 0.5rem 0 0.7rem 0;
    text-align: center;
}

.linea_separadora {
    width: 100%;
    margin-top: 0.15rem;
    border: 0;
    border-top: 1px solid #aeaeae;
}

.linea_nota {
    width: 20rem;
    margin: 0.5rem 0;
    border-top: 1px solid #aeaeae;    
}

.dedicatoria {
    display: inline;
    font-family: Crimson, Georgia, "Times New Roman";
    font-size: 1.5rem;
    color: #060000;
}

.titulo_articulo {
    display: inline;
    font-family: Belleza, helvetica, arial;
    font-size: 2.1rem;
    color: #800000;
}

/* Apartados de la biblioteca */
#publicaciones {
    margin-top: 2rem;
    text-decoration: none;
    font-family: Crimson, Georgia, "Times New Roman";
    font-size: 1.1rem;
}

#publicaciones a {
    color: #800000;
    text-decoration-color: #d4d4d4;
}

#publicaciones a:hover {
    color: #800000;
    text-decoration: underline;
}

#publicaciones ul {
    border-left: 6px solid #060099;
    background-color: #d4d4d4;
    list-style-type: none;
    padding: 14px 6px 0 14px;
}

#publicaciones li {
    margin-bottom: 0.5rem;
}

/* Enlaces */
#recomendados {
    background-color: #ffe55f;
    margin: 2rem 0 2rem 0;
    border: 4px ridge;
}

#recomendados ul {
    margin-top: 2rem;
    list-style-image: url(../imagenes/desarrollo/boton_enlace.png);
}

#recomendados li {
    padding-bottom: 0.5rem;
    font-size: 0.9rem;
}

#recomendados li a {
    text-decoration-color: #ffe55f;
    color: #000;
    display: block;
    font-size: 1.2rem;
    font-style: italic;
}

#recomendados li a:hover {
    text-decoration: underline;
}

#libro {
    margin: 1.5rem 0 1.5rem 0;
    text-decoration: none;
    font-family: Crimson, Georgia, "Times New Roman";
    font-size: 1.1rem;
}

#libro ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
}

#libro img {
    margin-right: 6px;
}

.nota_aparte {
    margin: 2rem 0 2rem 0;
    font-family: Crimson, Georgia, "Times New Roman";
    color: #1e1e1e;
    font-size: 0.875rem;
    text-indent: 0;
}

.nota_pie {
    display: block;
    margin: -1.5rem 0 0 0.75rem;
    font-family: Crimson, Georgia, "Times New Roman";
    color: #1e1e1e;
    font-size: 0.875rem;
}

article {
    width: 100%;
    margin: 0 auto;
    padding-bottom: 0.5rem;
}

article footer {
    display: block;
    padding-top: 1.5rem;
    font-family: Crimson, Georgia, "Times New Roman";
    color: #1e1e1e;
    font-size: 0.9rem;
}

article time {
    display: block;
    float: left;
}

article address {
    display: block;
    float: right;
}

article ul li {
    padding-bottom: 0.5rem;
}

body footer {
    position: relative;
    margin: 0 auto;
    width: 100%;
    padding-bottom: 1rem;
    font-family: Belleza, helvetica, arial;
    font-size: 0.875rem;
    line-height: 1.1;
}

#contenedor_pie {
    width: 100%;
    height: auto;
    margin-top: 0.25rem;
    padding: 0;
    display: table;
}

#contenedor_pie .izquierda {
    display: table-cell;
    float: left;
    padding-left: 1.2rem;
}

#contenedor_pie .derecha {
    display: table-cell;
    text-align: right;
    padding-right: 1rem;
}

#tablon {
    display: block;
    width: 100%;
    height: 330px;
    margin: 1.0rem 0 1.0rem 0;
    padding-left: 3px;
    overflow: auto;
    background: url(../imagenes/desarrollo/corcho.png);
    color: #000;
    border: 8px ridge #736f6e;
    /*
    box-shadow: 6px 6px 3px 0 rgba(0, 0, 0, 0.64);
    -moz-box-shadow: 6px 6px 3px 0 rgba(0, 0, 0, 0.64);
    -webkit-box-shadow: 6px 6px 3px 0 rgba(0, 0, 0, 0.64);
   */
}

#tablon a {
    text-decoration: none;
}

.post-it {
    display: inline-block;
    margin: 8px 0 0 4px;
    padding: 6px 2px 3px 2px;
    background-color: #f5ff77;
    background-repeat: no-repeat;
    background-position: top;
    font-family: Belleza, Georgia, "Times New Roman";
    font-size: 1rem;
    text-align: center;
    border: 1px solid;
    border-color: #f5ff77;
    color: #000;
    width: 45%;
    box-shadow: 0px 5px 7px #333333;
    -moz-box-shadow: 0px 5px 7px #333333;
    -webkit-box-shadow: 0px 5px 7px #333333;
}

.post-it img {
    width: 1.0rem;
}

/* Para escribir todo en mayúsculas con el mismo tamaño, o altura, que las minúsculas */
em.versalita {
    font-style: normal;
    font-size: 0.65rem;
}

.hueco {
    display: inline-block;
    width: 50%;
    height: 7.5rem;
    overflow: hidden;
}

.galeria {
    width: 100%;
    margin: 4px auto;
    padding: 4px 2px 0 4px;
    background: #1c1c1c;
}

.galeria div {
    display: inline-block;
    width: 48.0%;
    margin-left: 3px;
    padding: 0;
}

.galeria div img {
    display: block;
    width: 100%;
    height: 7.5rem;
    transition: .1s transform;
}

.galeria div:hover img {
    position: relative;
    transform: scale(1.75, 1.75);
    transition: .3s transform;
}

.foto_navegar {
    display: inline-block;
    float: right;
    z-index: 1;
}

.foto_navegar img {
    display: block;
    width: 75%;
    height: auto;
}

/*
 * Tooltip Styles (copiado de Internet sin escrúpulos ni remordimientos, pero con permiso).
 */

/* Base styles for the element that has a tooltip */
[data-tooltip],
.tooltip {
    position: relative;
    /* cursor: pointer; */
}

/* Base styles for the entire tooltip */
[data-tooltip]:before,
[data-tooltip]:after,
.tooltip:before,
.tooltip:after {
    position: absolute;
    visibility: hidden;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
    filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=0);
    opacity: 0;
    -webkit-transition: 
        opacity 0.2s ease-in-out,
        visibility 0.2s ease-in-out,
        -webkit-transform 0.2s cubic-bezier(0.71, 1.7, 0.77, 1.24);
    -moz-transition:    
        opacity 0.2s ease-in-out,
        visibility 0.2s ease-in-out,
        -moz-transform 0.2s cubic-bezier(0.71, 1.7, 0.77, 1.24);
    transition:         
        opacity 0.2s ease-in-out,
        visibility 0.2s ease-in-out,
        transform 0.2s cubic-bezier(0.71, 1.7, 0.77, 1.24);
    -webkit-transform: translate3d(0, 0, 0);
    -moz-transform:    translate3d(0, 0, 0);
    transform:         translate3d(0, 0, 0);
    pointer-events: none;
}

/* Show the entire tooltip on hover and focus */
[data-tooltip]:hover:before,
[data-tooltip]:hover:after,
[data-tooltip]:focus:before,
[data-tooltip]:focus:after,
.tooltip:hover:before,
.tooltip:hover:after,
.tooltip:focus:before,
.tooltip:focus:after {
    visibility: visible;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=100)";
    filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=100);
    opacity: 1;
}

/* Base styles for the tooltip's directional arrow */
.tooltip:before,
[data-tooltip]:before {
    z-index: 1001;
    border: 6px solid transparent;
    background: transparent;
    content: "";
}

/* Base styles for the tooltip's content area */
.tooltip:after,
[data-tooltip]:after {
    z-index: 1000;
    padding: 3px;
    width: 9rem;
    background-color: #000;
    background-color: hsla(0, 0%, 20%, 0.75);
    color: #fff;
    content: attr(data-tooltip);
    font-family: Crimson, Georgia, "Times New Roman";
    font-size: 0.9rem;
    font-weight: bold;
    line-height: 1.3;
}

/* Directions */

/* Top (default) */
[data-tooltip]:before,
[data-tooltip]:after,
.tooltip:before,
.tooltip:after,
.tooltip-top:before,
.tooltip-top:after {
    bottom: 100%;
    left: 50%;
}

[data-tooltip]:before,
.tooltip:before,
.tooltip-top:before {
    margin-left: -6px;
    margin-bottom: -12px;
    border-top-color: #000;
    border-top-color: hsla(0, 0%, 20%, 0.9);
}

/* Horizontally align top/bottom tooltips */
[data-tooltip]:after,
.tooltip:after,
.tooltip-top:after {
    margin-left: -80px;
}

[data-tooltip]:hover:before,
[data-tooltip]:hover:after,
[data-tooltip]:focus:before,
[data-tooltip]:focus:after,
.tooltip:hover:before,
.tooltip:hover:after,
.tooltip:focus:before,
.tooltip:focus:after,
.tooltip-top:hover:before,
.tooltip-top:hover:after,
.tooltip-top:focus:before,
.tooltip-top:focus:after {
    -webkit-transform: translateY(-12px);
    -moz-transform:    translateY(-12px);
    transform:         translateY(-12px); 
}

/* Left */
.tooltip-left:before,
.tooltip-left:after {
    right: 100%;
    bottom: 50%;
    left: auto;
}

.tooltip-left:before {
    margin-left: 0;
    margin-right: -12px;
    margin-bottom: 0;
    border-top-color: transparent;
    border-left-color: #000;
    border-left-color: hsla(0, 0%, 20%, 0.9);
}

.tooltip-left:hover:before,
.tooltip-left:hover:after,
.tooltip-left:focus:before,
.tooltip-left:focus:after {
    -webkit-transform: translateX(-12px);
    -moz-transform:    translateX(-12px);
    transform:         translateX(-12px); 
}

/* Bottom */
.tooltip-bottom:before,
.tooltip-bottom:after {
    top: 100%;
    bottom: auto;
    left: 50%;
}

.tooltip-bottom:before {
    margin-top: -12px;
    margin-bottom: 0;
    border-top-color: transparent;
    border-bottom-color: #000;
    border-bottom-color: hsla(0, 0%, 20%, 0.9);
}

.tooltip-bottom:hover:before,
.tooltip-bottom:hover:after,
.tooltip-bottom:focus:before,
.tooltip-bottom:focus:after {
    -webkit-transform: translateY(12px);
    -moz-transform:    translateY(12px);
    transform:         translateY(12px); 
}

/* Right */
.tooltip-right:before,
.tooltip-right:after {
    bottom: 50%;
    left: 100%;
}

.tooltip-right:before {
    margin-bottom: 0;
    margin-left: -12px;
    border-top-color: transparent;
    border-right-color: #000;
    border-right-color: hsla(0, 0%, 20%, 0.9);
}

.tooltip-right:hover:before,
.tooltip-right:hover:after,
.tooltip-right:focus:before,
.tooltip-right:focus:after {
    -webkit-transform: translateX(12px);
    -moz-transform:    translateX(12px);
    transform:         translateX(12px); 
}

/* Move directional arrows down a bit for left/right tooltips */
.tooltip-left:before,
.tooltip-right:before {
    top: 3px;
}

/* Vertically center tooltip content for left/right tooltips */
.tooltip-left:after,
.tooltip-right:after {
    margin-left: 0;
    margin-bottom: -16px;
}

.tipo-textos {
    display: inline-block;
    width: 100%;
    margin-top: -1rem;
    padding-top: 0;
    color: #060099;
    border: 1px solid;
    border-color: #fff; /* El borde solo se verá cuando el usuario utilice alto contraste o personalice colores en el navegador */
}

.textos {
    display: block;
    height: 19rem;
    margin-top: -1.5rem;
    padding-top: 0;
    overflow: auto;
    color: #800000;
    font-family: Crimson, Georgia, "Times New Roman";
    font-size: 0.9rem;
    font-weight: bold;
    background-color: #d4d4d4;
}

.textos p {
    margin-left: 0.2rem;
    text-indent: 0;
    line-height: 0.9;
}

.textos a {
    color: #800000;
    text-decoration-color: #d4d4d4;
}

.textos a:hover {
    color: #800000;
    text-decoration: underline;
}
